CREATE TABLE 'WALLPAPER_TEMP' ( '_id' INTEGER PRIMARY KEY AUTOINCREMENT , 'WALLPAPER_ID' INTEGER NOT NULL , 'DESCRIPTION' TEXT, 'DESCRIPTION_EN' TEXT, 'DESCRIPTION_CUSTOM' TEXT, 'ORIGIN_URL' TEXT, 'THUMNAIL_URL' TEXT, 'PUB_DATE' INTEGER, 'HEIGHT' INTEGER, 'WIDTH' INTEGER, 'PHOTO_USER' TEXT, 'DESC_USER' TEXT,  'DESC_USER_URL' TEXT, 'ICON_URL' TEXT, 'IMAGE_URL' TEXT, 'UP_TIMES' INTEGER, 'TYPE' INTEGER, 'UPDATE_TIME' INTEGER);
INSERT INTO WALLPAPER_TEMP (WALLPAPER_ID, DESCRIPTION, DESCRIPTION_EN, DESCRIPTION_CUSTOM, ORIGIN_URL, THUMNAIL_URL, PUB_DATE, HEIGHT, WIDTH, PHOTO_USER, DESC_USER, DESC_USER_URL, ICON_URL, IMAGE_URL, UP_TIMES, TYPE, UPDATE_TIME) SELECT ID AS WALLPAPER_ID, DESCRIPTION, DESCRIPTION_EN, DESCRIPTION_CUSTOM, ORIGIN_URL, THUMNAIL_URL, PUB_DATE, HEIGHT, WIDTH, PHOTO_USER, DESC_USER, DESC_USER_URL, ICON_URL, IMAGE_URL, UP_TIMES, TYPE, UPDATE_TIME FROM WALLPAPER_ENTITY;
DROP TABLE WALLPAPER_ENTITY;
CREATE TABLE 'WALLPAPER_ENTITY' ( '_id' INTEGER PRIMARY KEY AUTOINCREMENT , 'WALLPAPER_ID' INTEGER NOT NULL , 'DESCRIPTION' TEXT, 'DESCRIPTION_EN' TEXT, 'DESCRIPTION_CUSTOM' TEXT, 'ORIGIN_URL' TEXT, 'THUMNAIL_URL' TEXT, 'PUB_DATE' INTEGER, 'HEIGHT' INTEGER, 'WIDTH' INTEGER, 'PHOTO_USER' TEXT, 'DESC_USER' TEXT,  'DESC_USER_URL' TEXT, 'ICON_URL' TEXT, 'IMAGE_URL' TEXT, 'UP_TIMES' INTEGER, 'TYPE' INTEGER, 'UPDATE_TIME' INTEGER);
CREATE UNIQUE INDEX IDX_WALLPAPER_ENTITY_WALLPAPER_ID_TYPE ON WALLPAPER_ENTITY (WALLPAPER_ID,TYPE);
INSERT INTO WALLPAPER_ENTITY (WALLPAPER_ID, DESCRIPTION, DESCRIPTION_EN, DESCRIPTION_CUSTOM, ORIGIN_URL, THUMNAIL_URL, PUB_DATE, HEIGHT, WIDTH, PHOTO_USER, DESC_USER, DESC_USER_URL, ICON_URL, IMAGE_URL, UP_TIMES, TYPE, UPDATE_TIME) SELECT WALLPAPER_ID, DESCRIPTION, DESCRIPTION_EN, DESCRIPTION_CUSTOM, ORIGIN_URL, THUMNAIL_URL, PUB_DATE, HEIGHT, WIDTH, PHOTO_USER, DESC_USER, DESC_USER_URL, ICON_URL, IMAGE_URL, UP_TIMES, TYPE, UPDATE_TIME FROM WALLPAPER_TEMP;
DROP TABLE WALLPAPER_TEMP;